rte_pipeline_table_entry(3)

NAME
rte_pipeline_table_entry

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

enum rte_pipeline_action action
uint8_t action_data []

Detailed Description

Head format for the table entry of any pipeline table. For any given pipeline table, all table entries should have the same size and format. For any given pipeline table, the table entry has to start with a head of this structure, which contains the reserved actions and their associated meta-data, and then optionally continues with user actions and their associated meta-data. As all the currently defined reserved actions are mutually exclusive, only one reserved action can be set per table entry.

Definition at line 211 of file rte_pipeline.h.

Field Documentation

  enum rte_pipeline_action action
Reserved action

Definition at line 213 of file rte_pipeline.h.

  uint32_t port_id
Output port ID (meta-data for "Send packet to output port" action)

Definition at line 218 of file rte_pipeline.h.

  uint32_t table_id
Table ID (meta-data for "Send packet to table" action)

Definition at line 220 of file rte_pipeline.h.

  uint8_t action_data[]
Start of table entry area for user defined actions and meta-data

Definition at line 223 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.